---
- library: '&IDL_MochaBaseSystem;'
  instances:
  - class:      '&IDC_GetAttributeMethod;'
    inherits:  '&IDC_Method;'
    name:      GA - Get Attribute Method
    index:     12
    customTagName: getAttributeMethod
    attributes:
    - instance: '&IDA_Verb;'
      customTagName: 'verb'
    - instance: '&IDA_Name;'
      customTagName: 'name'
    relationships:
    - instance: '&IDR_Method__for__Class;'
      customTagName: 'forClassId'
    - instance: '&IDR_Get_Attribute_Method__returns__Attribute;'
      customTagName: 'returnsAttributeId'

  - relationship: '&IDR_Get_Attribute_Method__returns__Attribute;'
    index: 21
    sourceClassId: '&IDC_GetAttributeMethod;'
    type: 'returns'
    destinationClassId: '&IDC_Attribute;'
    siblingRelationshipId: '&IDR_Attribute__returned_by__Get_Attribute_Method;'
    singular: no

  - relationship: '&IDR_Attribute__returned_by__Get_Attribute_Method;'
    index: 22
    sourceClassId: '&IDC_Attribute;'
    type: 'returned by'
    destinationClassId: '&IDC_GetAttributeMethod;'
    siblingRelationshipId: '&IDR_Get_Attribute_Method__returns__Attribute;'
    singular: no
